### Method

# Gimp RGB set

#### Declaration [src]

    void
    gimp_rgb_set (
      GimpRGB* rgb,
      gdouble red,
      gdouble green,
      gdouble blue
    )

#### Description [src]

Sets the red, green and blue components of `rgb` and leaves the alpha component unchanged. The color values should be between 0.0 and 1.0 but there is no check to enforce this and the values are set exactly as they are passed in.

#### Parameters

`red` | `gdouble`
| The red component.
`green` | `gdouble`
| The green component.
`blue` | `gdouble`
| The blue component.